import type { mat4, vec3 } from 'gl-matrix';
/**
 * 保存相机状态，便于后续在多个 Landmark 间移动
 */
export interface Landmark {
    name: string;
    matrix: mat4;
    right: vec3;
    up: vec3;
    forward: vec3;
    position: vec3;
    focalPoint: vec3;
    distanceVector: vec3;
    distance: number;
    dollyingStep: number;
    azimuth: number;
    elevation: number;
    roll: number;
    relAzimuth: number;
    relElevation: number;
    relRoll: number;
    zoom: number;
}
//# sourceMappingURL=Landmark.d.ts.map