import { CSSStyleValue, CSSStyleValueType } from './CSSStyleValue';
import type { Nested, ParenLess } from './types';
/**
 * CSSKeywordValue represents CSS Values that are specified as keywords
 * eg. 'initial'
 * @see https://developer.mozilla.org/en-US/docs/Web/API/CSSKeywordValue
 * @see https://chromium.googlesource.com/chromium/src/+/refs/heads/main/third_party/blink/renderer/core/css/cssom/css_keyword_value.idl
 */
export declare class CSSKeywordValue extends CSSStyleValue {
    value: string;
    constructor(value: string);
    clone(): CSSKeywordValue;
    getType(): CSSStyleValueType;
    buildCSSText(n: Nested, p: ParenLess, result: string): string;
}
//# sourceMappingURL=CSSKeywordValue.d.ts.map