import type { CSSGradientValue } from '../cssom';
import { CSSRGB } from '../cssom';
/**
 * @see https://developer.mozilla.org/zh-CN/docs/Web/API/CanvasRenderingContext2D/createPattern
 */
export interface Pattern {
    image: string | CanvasImageSource;
    repetition: 'repeat' | 'repeat-x' | 'repeat-y' | 'no-repeat';
}
export declare function isPattern(object: any): object is Pattern;
/**
 * @see https://github.com/WebKit/WebKit/blob/main/Source/WebCore/css/parser/CSSParser.cpp#L97
 */
export declare const parseColor: {
    (...args: any[]): any;
    cache: Map<any, any>;
};
export declare function mergeColors(left: CSSRGB | CSSGradientValue[] | Pattern, right: CSSRGB | CSSGradientValue[] | Pattern): [number[], number[], (color: number[]) => string] | undefined;
//# sourceMappingURL=color.d.ts.map