import type { DisplayObject } from '../../display-objects';
import { CSSUnitValue } from '../cssom';
import type { CSSProperty } from '../CSSProperty';
import type { StyleValueRegistry } from '../interfaces';
import { mergeNumbers } from '../parser';
/**
 * <length> & <percentage>
 */
export declare class CSSPropertyLengthOrPercentage implements Partial<CSSProperty<CSSUnitValue, number>> {
    parser: {
        (...args: any[]): any;
        cache: Map<any, any>;
    };
    mixer: typeof mergeNumbers;
    /**
     * according to parent's bounds
     *
     * @example
     * CSS.percent(50) -> CSS.px(0.5 * parent.width)
     */
    calculator(name: string, oldParsed: CSSUnitValue, computed: CSSUnitValue, object: DisplayObject, registry: StyleValueRegistry): number;
}
//# sourceMappingURL=CSSPropertyLengthOrPercentage.d.ts.map