import type { AbsoluteArray, CurveArray } from '@antv/util';
import type { DisplayObject, ParsedPathStyleProps } from '../../display-objects';
import { Rectangle } from '../../shapes';
import type { CSSProperty } from '../CSSProperty';
import { mergePaths, parsePath } from '../parser/path';
export declare class CSSPropertyPath implements Partial<CSSProperty<ParsedPathStyleProps['path'], ParsedPathStyleProps['path']>> {
    /**
     * path2Curve
     */
    parser: typeof parsePath;
    calculator(name: string, oldParsed: ParsedPathStyleProps['path'], parsed: ParsedPathStyleProps['path']): {
        absolutePath: AbsoluteArray;
        hasArc: boolean;
        segments: import("../../display-objects").PathSegment[];
        polygons: [number, number][][];
        polylines: [number, number][][];
        curve: CurveArray;
        totalLength: number;
        zCommandIndexes: number[];
        rect: Rectangle;
    };
    mixer: typeof mergePaths;
    /**
     * update local position
     */
    postProcessor(object: DisplayObject): void;
}
//# sourceMappingURL=CSSPropertyPath.d.ts.map