import type { RenderingPlugin, RenderingPluginContext } from '../services';
/**
 * support mouse & touch events
 * @see https://github.com/pixijs/pixi.js/blob/dev/packages/interaction/README.md
 *
 * also provide some extra events such as `drag`
 */
export declare class EventPlugin implements RenderingPlugin {
    static tag: string;
    private autoPreventDefault;
    private rootPointerEvent;
    private rootWheelEvent;
    private context;
    apply(context: RenderingPluginContext): void;
    private onPointerMove;
    private getViewportXY;
    private bootstrapEvent;
    private normalizeWheelEvent;
    /**
     * Transfers base & mouse event data from the nativeEvent to the federated event.
     */
    private transferMouseData;
    private setCursor;
    private normalizeToPointerEvent;
}
//# sourceMappingURL=EventPlugin.d.ts.map