declare type Measure<T extends number> = T extends 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 ? T : never;
declare type Append<T extends any[], U> = {
    0: [U];
    1: [T[0], U];
    2: [T[0], T[1], U];
    3: [T[0], T[1], T[2], U];
    4: [T[0], T[1], T[2], T[3], U];
    5: [T[0], T[1], T[2], T[3], T[4], U];
    6: [T[0], T[1], T[2], T[3], T[4], T[5], U];
    7: [T[0], T[1], T[2], T[3], T[4], T[5], T[6], U];
    8: [T[0], T[1], T[2], T[3], T[4], T[5], T[6], T[7], U];
}[Measure<T['length']>];
export declare type AsArray<T> = T extends any[] ? T : [T];
export declare class UnsetAdditionalOptions {
    _UnsetAdditionalOptions: true;
}
declare type IfSet<X> = X extends UnsetAdditionalOptions ? {} : X;
declare type Callback<E, T> = (error: E | null, result?: T) => void;
declare type InnerCallback<E, T> = (error?: E | null | false, result?: T) => void;
declare type FullTap = Tap & {
    type: 'sync' | 'async' | 'promise';
    fn: Function;
};
declare type Tap = TapOptions & {
    name: string;
};
declare type TapOptions = {
    before?: string;
    stage?: number;
};
export declare class Hook<T, R, AdditionalOptions = UnsetAdditionalOptions> {
    name: string | undefined;
    taps: FullTap[];
    callAsync(...args: Append<AsArray<T>, Callback<Error, R>>): void;
    promise: (...args: AsArray<T>) => Promise<R>;
    call(...args: AsArray<T>): R;
    tapAsync(options: string | (Tap & IfSet<AdditionalOptions>), fn: (...args: Append<AsArray<T>, InnerCallback<Error, R>>) => void): void;
    tapPromise(options: string | (Tap & IfSet<AdditionalOptions>), fn: (...args: AsArray<T>) => Promise<R>): void;
    private _promise;
    constructor(args?: any[], name?: any);
    compile(options: any): void;
    _createCall(type: any): void;
    _tap(type: string, options: string | (Tap & IfSet<AdditionalOptions>), fn: (...args: AsArray<T>) => R): void;
    tap(options: string | (Tap & IfSet<AdditionalOptions>), fn: (...args: AsArray<T>) => R): void;
    _runRegisterInterceptors(options: any): any;
    withOptions(options: TapOptions & IfSet<AdditionalOptions>): Omit<this, 'call' | 'callAsync' | 'promise'>;
    isUsed(): boolean;
    _resetCompilation(): void;
    _insert(item: any): void;
}
export {};
//# sourceMappingURL=Hook.d.ts.map